Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalNot Class Reference

Parser for LogicalNot Criterion. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalNot:

## Public Member Functions
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parses input structure to a Criterion object. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| dispatchCriterion ($criterionName, $criterionData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a criterion name + data to its own parser. More...
| dispatchFacetBuilder ($facetBuilderName, $facetBuilderData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a facet builder name + data to its own parser. More...
| dispatchSortClause ($sortClauseName, $direction, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a sort clause name + direction to its own parser. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| getCriterionMediaType ($criterionName)
| getSortClauseMediaType ($sortClauseName)
| getFacetBuilderMediaType ($facetBuilderName)
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser
Static Protected Attributes inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
static | $criterionIdMap

## Detailed Description

Parser for LogicalNot Criterion.

Definition at line 17 of file Core/REST/Server/Input/Parser/Criterion/LogicalNot.php.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalNot::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parses input structure to a Criterion object.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Exceptions

Definition at line 29 of file Core/REST/Server/Input/Parser/Criterion/LogicalNot.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\dispatchCriterion().

The documentation for this class was generated from the following file:

- Core/REST/Server/Input/Parser/Criterion/LogicalNot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.